Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.security
Class WLCCertAuthenticator

    java.lang.Object
      |
      +--com.bea.b2b.security.WLCCertAuthenticator

public class WLCCertAuthenticator
extends java.lang.Object
implements weblogic.security.acl.CertAuthenticator

The WLCCertAuthenticator class maps the incoming certificate to a WebLogic Server user.

The authenticator maps the trading partner certificate to a WLS user.

Customers can customize this authenticator to suit their individual requirements.

    public User authenticate(String userName, Certificate[] certs, boolean ssl)
    {

    String user = null;

    // If not using SSL, return
    if (ssl == false)
    {
    return null;
    }

    // Verify that the certificate is a valid WLC certificate
    // then return the corresponding WLS user.

    if ((user = Security.isValidWLCCertificate(certs))!= null)
    {
    return realm.getUser(user);
    }
    // Certificate is not a valid WLC certificate.
    // Check here for non-WLC certificate and return the corresponding user.

    }
    }

This implementation uses the WebLogic default realm for retrieving users.

If a different realm is used in a particular deployment then this authenticator must be customized for that particular deployment.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`WLCCertAuthenticator()`

Method Summary
`weblogic.security.acl.User` | `authenticate(java.lang.String userName, weblogic.security.Certificate[] certs, boolean ssl)` Attempts to validate a digital certificate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLCCertAuthenticator

    public WLCCertAuthenticator()

Method Detail

### authenticate

    public weblogic.security.acl.User authenticate(java.lang.String userName,
                                                   weblogic.security.Certificate[] certs,
                                                   boolean ssl)

  Attempts to validate a digital certificate.
  Specified by:
    authenticate in interface weblogic.security.acl.CertAuthenticator

  Parameters:
    `userName` - Ignored by this method.
    `certs` - Incoming certificate chain.

    The incoming certificate is validated, and then the WebLogic Server user corresponding to the certificate is returned.

    isValidWLCCertificate() validates the WebLogic Collaborate certificate.

    `ssl` - If false, this method returns null.
  Returns:
    User - Authenticated user, or null if authentication failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)